Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.enterprisedt.net.ftp
Class ControlChannelIOException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  com.enterprisedt.net.ftp.ControlChannelIOException

All Implemented Interfaces:
  java.io.Serializable

    public class ControlChannelIOException

extends java.io.IOException

IOException that appears on the control channel

Version:
  $Revision: 1.1 $
Author:
  Bruce Blackshaw
See Also:
  Serialized Form

Constructor Summary
`ControlChannelIOException()` Constructs an `ControlChannelIOException` with `null` as its error detail message.
`ControlChannelIOException(java.lang.String message)` Constructs an `ControlChannelIOException` with the specified detail message.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ControlChannelIOException

    public ControlChannelIOException()

  Constructs an `ControlChannelIOException` with `null` as its error detail message.

### ControlChannelIOException

    public ControlChannelIOException(java.lang.String message)

  Constructs an `ControlChannelIOException` with the specified detail message.

  Parameters:
    `message` - The detail message (which is saved for later retrieval by the `Throwable.getMessage()` method)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2001-2007 Enterprise Distributed Technologies Ltd. All Rights Reserved.